- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyAttachNestedWorkflowToCase#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyAttachNestedWorkflowToCase#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyAttachNestedWorkflowToCase#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyAttachNestedWorkflowToCase#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyAttachNestedWorkflowToCase#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyAttachNestedWorkflowToCase#body.LegacyPlaybookAttachNestedWorkflowToCaseResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyAttachNestedWorkflowToCase#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacyPlaybooks/legacyAttachNestedWorkflowToCase#body.aspect_1)

**Full name**: projects.locations.instances.legacyPlaybooks.legacyAttachNestedWorkflowToCase

Manually triggers a specific playbook block (nested workflow) for a given alert. Use this method to execute an action within an investigation.

### HTTP request

`POST https://{endpoint}/v1alpha/{instance}/legacyPlaybooks:legacyAttachNestedWorkflowToCase`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to attach the nested workflow to case for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "cyberCaseId": string, "alertGroupIdentifier": string, "alertIdentifier": string, "wfName": string, "inputParameters": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/LegacyPlaybookApiTriggerCondition`) } ], "originalWorkflowDefinitionIdentifier": string } ``` |

| Fields ||
|---|---|
| `cyberCaseId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The cyber case id. |
| `alertGroupIdentifier` | `string` Required. The alert group identifier. |
| `alertIdentifier` | `string` Required. The alert identifier. |
| `wfName` | `string` Required. The workflow name. |
| `inputParameters[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/LegacyPlaybookApiTriggerCondition`)`` Optional. The input parameters. |
| `originalWorkflowDefinitionIdentifier` | `string` Optional. The original workflow definition identifier. |

### Response body

LegacyPlaybookAttachNestedWorkflowToCaseResponse is a response for attaching a nested workflow to a case.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "payload": boolean } ``` |

| Fields ||
|---|---|
| `payload` | `boolean` Optional. The response is a boolean. True if the workflow was attached to the case successfully. False otherwise. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacyPlaybooks.update`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).